Package: org.codehaus.groovy.ast.builder

## [Groovy] Class AstStringCompiler

- org.codehaus.groovy.ast.builder.AstStringCompiler

- This class handles converting Strings to ASTNode lists.

  Authors:
    Hamlet D'Arcy

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<ASTNode>` | `compile(String script, CompilePhase compilePhase, boolean statementsOnly)` Performs the String source to List of ASTNode.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### List<ASTNode> compile(String script, CompilePhase compilePhase, boolean statementsOnly)

      Performs the String source to List of ASTNode.

      Parameters:
        `script` - a Groovy script in String form
        `compilePhase` - the int based CompilePhase to compile it to.
        statementsOnly